import bpy

D   ="DISABLE"
E   ="ENABLE"
T   ="TOGGLE"
S1  ="builtin.select"
#背面選択アドオン必須。なければデフォルトの物を選択ってやりたいけど未対応
S2  ="mesh_tool.select_box_xray"
S3  ="builtin.select_box"

def set_active_tool(tool_name):
    for area in bpy.context.screen.areas:
        if area.type == "VIEW_3D":
            override = bpy.context.copy()
            override["space_data"] = area.spaces[0]
            override["area"] = area
            bpy.ops.wm.tool_set_by_id(override, name=tool_name)
            


def si_MoveComponent(a,b,c,d):    
    #SI MoveComponent mode
    bpy.ops.object.mode_set(mode='EDIT',toggle=False)
    set_active_tool(d)
    bpy.ops.mesh.select_mode(use_extend=True ,type="VERT",action= a )
    bpy.ops.mesh.select_mode(use_extend=True ,type="EDGE",action= b )
    bpy.ops.mesh.select_mode(use_extend=True ,type="FACE",action= c )


class si_MoveComponent_OT_object(bpy.types.Operator):
    bl_idname = "object.si_movecomponent"
    bl_label = "Softimage ムーブコンポーネント"
    bl_description = "Softimage like All SRT reset"
    bl_options = {'REGISTER', 'UNDO'} 

    def execute(self, context,):
        si_MoveComponent(E,E,E,S1)
        return {'FINISHED'}

class si_MoveComponent1_OT_object(bpy.types.Operator):
    bl_idname = "object.si_movecomponent1"
    bl_label = "選択頂点"
    bl_description = "Softimage like All SRT reset"
    bl_options = {'REGISTER', 'UNDO'} 

    def execute(self, context,):
        si_MoveComponent(E,D,D,S2)
        return {'FINISHED'}
    
class si_MoveComponent2_OT_object(bpy.types.Operator):
    bl_idname = "object.si_movecomponent2"
    bl_label = "選択エッジ"
    bl_description = "Softimage like All SRT reset"
    bl_options = {'REGISTER', 'UNDO'} 

    def execute(self, context,):
        si_MoveComponent(D,E,D,S2)
        return {'FINISHED'}

class si_MoveComponent3_OT_object(bpy.types.Operator):
    bl_idname = "object.si_movecomponent3"
    bl_label = "選択ポリゴン"
    bl_description = "Softimage like All SRT reset"
    bl_options = {'REGISTER', 'UNDO'} 

    def execute(self, context,):
        si_MoveComponent(D,D,E,S2)
        return {'FINISHED'}